Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.shared
Class CommandType

    java.lang.Object
      javax.enterprise.deploy.shared.CommandType

public class CommandType
extends Object

An enumeration of deployment commands.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Field Summary
`static CommandType` | `DISTRIBUTE` The command type for an DISTRIBUTE
`static CommandType` | `REDEPLOY` The module type for an REDEPLOY
`static CommandType` | `START` The command type for an START
`static CommandType` | `STOP` The command type for an STOP
`static CommandType` | `UNDEPLOY` The command type for an UNDEPLOY

Constructor Summary
`protected` | `CommandType(int value)` Create a new CommandType

Method Summary
`static CommandType` | `getCommandType(int type)` Get the command type for an integer
`protected CommandType[]` | `getEnumValueTable()` Get the enumerated values for module type
`protected int` | `getOffset()` Return the offset of the first element
`protected String[]` | `getStringTable()` Get the string table for class command type [todo] check this?
`int` | `getValue()` Get the value
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DISTRIBUTE

    public static final CommandType DISTRIBUTE

  The command type for an DISTRIBUTE

### START

    public static final CommandType START

  The command type for an START

### STOP

    public static final CommandType STOP

  The command type for an STOP

### UNDEPLOY

    public static final CommandType UNDEPLOY

  The command type for an UNDEPLOY

### REDEPLOY

    public static final CommandType REDEPLOY

  The module type for an REDEPLOY

Constructor Detail

### CommandType

    protected CommandType(int value)

  Create a new CommandType

Parameters:
  `value` - the value

Method Detail

### getValue

    public int getValue()

  Get the value

  Returns:
    the value

### getStringTable

    protected String[] getStringTable()

  Get the string table for class command type [todo] check this?

  Returns:
    the string table

### getEnumValueTable

    protected CommandType[] getEnumValueTable()

  Get the enumerated values for module type

  Returns:
    the string table

### getCommandType

    public static CommandType getCommandType(int type)

  Get the command type for an integer

  Parameters:
    `type` - the type
  Returns:
    the command type

### toString

    public String toString()

### getOffset

    protected int getOffset()

  Return the offset of the first element

  Returns:
    the offset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.